#
# spec file for package unicode-emoji
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define long_version 15.1.0
Name:           unicode-emoji
Version:        15.1
Release:        1.5
Summary:        Unicode Emoji Data Files
License:        Unicode
Group:          System/I18n/Chinese
URL:            https://www.unicode.org/emoji/
Source0:        https://www.unicode.org/copyright.html
Source1:        https://www.unicode.org/Public/emoji/%{version}/ReadMe.txt
Source2:        https://www.unicode.org/Public/%{long_version}/ucd/emoji/emoji-data.txt
Source3:        https://www.unicode.org/Public/emoji/%{version}/emoji-sequences.txt
Source4:        https://www.unicode.org/Public/emoji/%{version}/emoji-test.txt
Source5:        https://www.unicode.org/Public/emoji/%{version}/emoji-zwj-sequences.txt
Source6:        https://www.unicode.org/Public/%{long_version}/ucd/emoji/emoji-variation-sequences.txt
BuildArch:      noarch

%description
Unicode Emoji Data Files are the machine-readable
emoji data files associated with
http://www.unicode.org/reports/tr51/index.html

%prep

%build

%install
install -d %{buildroot}%{_datadir}/unicode/emoji
cp -p %{SOURCE0} .
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
%{buildroot}%{_datadir}/unicode/emoji

%files
%license copyright.html
%dir %{_datadir}/unicode
%dir %{_datadir}/unicode/emoji
%doc %{_datadir}/unicode/emoji/ReadMe.txt
%{_datadir}/unicode/emoji/emoji-*txt

%changelog
* Mon Oct  2 2023 pgajdos@suse.com
- version update to 15.1
  * upstream release notes:
    https://unicode.org/emoji/charts-15.1/emoji-released.html
* Tue Dec  6 2022 Dirk Müller <dmueller@suse.com>
- update to version 15.0:
  * Added 21 new emoji characters
  * see https://unicode.org/emoji/charts-15.0/emoji-released.html
* Tue May 17 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 14.0
  * Added 37 new emoji characters
  * New emoji ZWJ sequences and emoji modifier sequences
  * https://unicode.org/emoji/charts-14.0/emoji-released.html
* Mon Jun 28 2021 Predrag Ivanović <predivan@mts.rs>
- Update to Unicode-13.1 version, no upstream provided changelog.
- Spec cleaner run, use https for download.
* Thu Mar 12 2020 Hillwood Yang <hillwood@opensuse.org>
- Move copyright.html to %%license
* Wed Mar 11 2020 Antonio Larrosa <alarrosa@suse.com>
- Update to unicode 13 version files. Upstream did not provide changelog
* Sat Nov 18 2017 hillwood@opensuse.org
- Initial package for version 6.0
